Skip to main content
PATCH
/
public
/
v1
/
knowledge-base
/
groups
/
{groupId}
Update group
curl --request PATCH \
  --url https://api.callin.io/api/public/v1/knowledge-base/groups/{groupId} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>"
}
'
{
  "success": true,
  "data": {
    "groupId": "<string>",
    "name": "<string>",
    "metadata": {
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "createdBy": {
        "userId": "<string>",
        "userEmail": "<string>"
      }
    }
  }
}

Authorizations

x-api-key
string
header
required

Send your Callin API key in the x-api-key header.

Path Parameters

groupId
string
required

The ID of the group

Body

application/json
name
string

A custom, human-readable name for the group.

Response

Group updated

Group after a rename or metadata update.

success
boolean
Example:

true

data
object

The details of the group